1

I have centos6.8 vps and installed php5.5 version using cpanel but Now I've to install/upgrade php5.6 on server but getting no packages available for php5.6 and php7.0 also;

So that, I have installed epel, remi, remi-php5.6 but still found no package available.

   # yum repolist enabled
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirror.ndchost.com
 * epel: mirror.hmc.edu
 * extras: mirror.lax.hugeserver.com
 * remi: mirrors.mediatemple.net
 * remi-php55: mirrors.mediatemple.net
 * remi-php56: mirrors.mediatemple.net
 * remi-safe: mirrors.mediatemple.net
 * updates: ftp.usf.edu
repo id                                     repo name                                                                                       status
atrpms                                      Red Hat Enterprise Linux 6 - x86_64 - ATrpms                                                       2,746+9
base                                        CentOS-6 - Base                                                                                   6,634+62
epel                                        Extra Packages for Enterprise Linux 6 - x86_64                                                  11,612+746
extras                                      CentOS-6 - Extras                                                                                       64
remi                                        Remi's RPM repository for Enterprise Linux 6 - x86_64                                            335+3,712
remi-php55                                  Remi's PHP 5.5 RPM repository for Enterprise Linux 6 - x86_64                                       14+408
remi-php56                                  Remi's PHP 5.6 RPM repository for Enterprise Linux 6 - x86_64                                       12+405
remi-safe                                   Safe Remi's RPM repository for Enterprise Linux 6 - x86_64                                       101+1,667
updates                                     CentOS-6 - Updates                                                                                  907+67
repolist: 22,425

# yum list available 'php-*'
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirror.lstn.net
 * epel: mirror.hmc.edu
 * extras: repos.lax.quadranet.com
 * remi: mirrors.mediatemple.net
 * remi-php55: mirrors.mediatemple.net
 * remi-php56: mirrors.mediatemple.net
 * remi-safe: mirrors.mediatemple.net
 * updates: centos-distro.cavecreek.net
Error: No matching Packages to list

Here I try to install php, php5.6/w and php7.0 using yum but getting no packages, Can anyone say that why i not able to get it ?

1 Answer 1

2

because it installed using cpanel So that its disable on /etc/yum.conf

# head /etc/yum.conf
exclude= php*  mysql* ...

Here I have remove php* on yum.conf and now i can able to install any php version using yum.

If you using vps on cloud, first check exclude section on yum configuration file :)

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .